Skip to content

ML Prep API (v1)

Download OpenAPI description
Languages
Servers
Mock server

http://{{your_prep_ip_address}}/

Authenticate

Operations

Backups

Operations

Calibration

Operations

Camera

Operations

Configuration

Operations

Credentials

Operations

Deck

Operations

Diagnostics

Operations

Enclosure

Operations

Environment

Operations

Errors

Operations

HepaUv

Operations

Instruments

Operations

Labware

Operations

LabwareCategories

Operations

LabwareSignature

Operations

Lighting

Operations

LiquidClass

Operations

Maintenance

Operations

NetworkConfiguration

Operations

Power

Operations

ProtocolRun

Operations

Protocols

Operations

ProtocolSteps

Operations

ProtocolSupport

Operations

ProtocolVerification

Operations

Repair

Operations

Report

Operations

Roles

Operations

RunData

Operations

Screenshots

Operations

ServiceSoftwareApi

Operations

Settings

Operations

SoftwareVersions

Operations

SystemReady

Operations

SystemTime

Operations

ThermalDevice

Operations

Traces

Operations

UserKba

Operations

Users

Operations

Verification

Operations

Get a routine run in the current workflow

Request

Security
Bearer
Path
indexinteger(int32)required
curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/verification/workflow/routine-run/{index}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Routine run

Response
No content

Starts a service routine

Request

Security
Bearer
Path
serviceRoutineIdinteger(int32)required
curl -i -X POST \
  'http://{{your_prep_ip_address}}/api/v1/verification/service-routines/{serviceRoutineId}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The service routine was successfully started

Response
No content

Retrieves the list of verification routines for the current instrument

Request

Security
Bearer
curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/verification/routines' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The list of verification routines

Bodyapplication/jsonArray [
idinteger(int32)

The database id for the verification routine

namestring or null

The name for the verification routine

verificationOrderinteger(int32)

A number signifying the order to run verification routine with respect to other verifications

dueDatestring(date-time)

The date the verification routine is due to be run

runsArray of objects or null(VerificationRunDto)

A list of runs for the verification routine on the current instrument, ordered by most recent

requiredThermalDeviceinteger(int32)(ThermalDevice)
Enum"Hhs""Hhc""None"
requiresHepaUvboolean

A boolean signifying that the HEPAUV device must be present to run this verification routine

verificationDevicesArray of objects or null(VerificationDevice)

List of required verification devices

serviceRoutineobject(ServiceRoutineDto)

The service routine

]
Response
application/json
[ { "id": 0, "name": "string", "verificationOrder": 0, "dueDate": "2019-08-24T14:15:22Z", "runs": [], "requiredThermalDevice": "Hhs", "requiresHepaUv": true, "verificationDevices": [], "serviceRoutine": {} } ]

VerificationResult

Operations